﻿@inject ASPGestionProduit.Interface.ITraduction traductionService
@using System.Security.Claims;
@using Microsoft.AspNetCore.Http;
@inject IHttpContextAccessor _accessor

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - ASPGestionProduit</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/site.css" />
    <script src="https://kit.fontawesome.com/f3c3a1f114.js" crossorigin="anonymous"></script>
    <script type="text/javascript" src="/path/to/jquery.js"></script>
    <script type="text/javascript" src="/path/to/jquery.jcarousel.js"></script>

</head>
<body>
    <header>
        <nav class="navbar navbar-expand-sm navbar-toggleable-sm navbar-light bg-white border-bottom box-shadow mb-3">
            <div class="container-fluid">
                <div><img src="~/upload/amazun.png" style="height:55px; width:65px;" /></div>
                <button class="navbar-toggler" type="button" data-toggle="collapse" data-target=".navbar-collapse" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icon"></span>
                </button>
                <div class="navbar-collapse collapse d-sm-inline-flex flex-sm-row-reverse">
                    <ul class="navbar-nav flex-grow-1 justify-content-between">
                        <div class="row w-50 justify-content-center">
                            <li class="nav-item">
                                <a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index">@traductionService.Traduction("Accueil")</a>
                            </li>
                            @if (@_accessor.HttpContext.User.HasClaim(u => u.Type == ClaimTypes.Email) && (@_accessor.HttpContext.User.Claims.FirstOrDefault(u => u.Type == ClaimTypes.Role).Value) == "admin" || @_accessor.HttpContext.User.HasClaim(u => u.Type == ClaimTypes.Email) && (@_accessor.HttpContext.User.Claims.FirstOrDefault(u => u.Type == ClaimTypes.Role).Value) == "employee")
                            {
                                <li>
                                    <div class="dropdown">
                                        <button class="btn dropdown-toggle" type="button" data-toggle="dropdown">
                                            Gestion Produit
                                            <span class="caret"></span>
                                        </button>
                                        <ul class="dropdown-menu">
                                            <li><a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="FormProduct">@traductionService.Traduction("Creation Produit")</a></li>
                                            <li><a class="nav-link text-dark" asp-area="" asp-controller="Categorie" asp-action="AfficheCreationCategorie">@traductionService.Traduction("Creation Categorie")</a></li>

                                        </ul>
                                    </div>
                                </li>
                            }
                            else { }
                            @if (@_accessor.HttpContext.User.HasClaim(u => u.Type == ClaimTypes.Email) && (@_accessor.HttpContext.User.Claims.FirstOrDefault(u => u.Type == ClaimTypes.Role).Value) == "admin")
                            {
                                <li>
                                    <div class="dropdown">
                                        <button class="btn dropdown-toggle" type="button" data-toggle="dropdown">
                                            Gestion Utilisateur
                                            <span class="caret"></span>
                                        </button>
                                        <ul class="dropdown-menu">
                                            <li><a class="nav-link text-dark" asp-area="" asp-controller="Utilisateur" asp-action="SigninForm">@traductionService.Traduction("Creation Utilisateur")</a></li>
                                            <li><a class="nav-link text-dark" asp-area="" asp-controller="Home" asp-action="Index">@traductionService.Traduction("Modification Utilisateur")</a></li>
                                        </ul>
                                    </div>
                                </li>
                            }
                            else { }
                            @if (@_accessor.HttpContext.User.HasClaim(u => u.Type == ClaimTypes.Email) && (@_accessor.HttpContext.User.Claims.FirstOrDefault(u => u.Type == ClaimTypes.Role).Value) == "admin" || @_accessor.HttpContext.User.HasClaim(u => u.Type == ClaimTypes.Email) && (@_accessor.HttpContext.User.Claims.FirstOrDefault(u => u.Type == ClaimTypes.Role).Value) == "employee")
                            {
                                <li>
                                    <div class="dropdown">
                                        <button class="btn dropdown-toggle" type="button" data-toggle="dropdown">
                                            Gestion des Commandes
                                            <span class="caret"></span>
                                        </button>
                                        <ul class="dropdown-menu">
                                            <li><a class="nav-link text-dark" asp-area="" asp-controller="Commande" asp-action="GestionCommande">@traductionService.Traduction("Rechercher une commande")</a></li>
                                            <li><a class="nav-link text-dark" asp-area="" asp-controller="Commande" asp-action="HistoriqueCommandes">@traductionService.Traduction("Historique des commandes")</a></li>

                                        </ul>
                                    </div>
                                </li>
                            }
                            else { }
                            @if (_accessor.HttpContext.User.HasClaim(u => u.Type == ClaimTypes.Name) && (@_accessor.HttpContext.User.Claims.FirstOrDefault(u => u.Type == ClaimTypes.Role).Value) == "user")
                            {
                                <li class="nav-item">

                                    <a class="nav-link text-dark" asp-area="" asp-controller="Utilisateur" asp-action="GetListFavori">
                                        @traductionService.Traduction("Mes favoris")

                                    </a>

                                </li>

                                <li class="nav-item">
                                    <a class="nav-link text-dark" asp-area="" asp-controller="Commande" asp-action="MesCommandes">
                                        @traductionService.Traduction("Mes Commandes")
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a class="nav-link text-dark" asp-area="" asp-controller="Panier" asp-action="AffichePanier">
                                        @traductionService.Traduction("Mon Panier")
                                    </a>
                                </li>
                            }
                            else { }
                        </div>
                        <div class="row justify-content-around w-50">
                            <div class="row">
                                <li class="p-2">
                                    @if (_accessor.HttpContext.User.HasClaim(c => c.Type == ClaimTypes.Email))
                                    {
                                    <li class="row mr-3 p-2">
                                        <a asp-controller="Utilisateur" asp-action="LogOut">Deconnecter</a>
                                    </li>
                                }
                                else
                                {
                                    <li class="p-2"><a asp-controller="Utilisateur" asp-action="SignInForm">Creation</a></li>
                                    <li class="p-2"><a asp-controller="Utilisateur" asp-action="FormLogin">Connexion</a></li>
                                }
                                    </li>
                                    <li>
                                        @if (ViewBag.langue == "en")
                                        {
                                            <div class="p-2">
                                                <img src="~/upload/united-kingdom.svg" style="height:25px; width:25px;" />

                                            </div>}
                                        else

                                        { <div class="p-2">
                                                <img src="~/upload/france.svg" style="height:25px; width:25px;" />


                                            </div>
                                        }
                                    </li>

                                    <li class="p-1">
                                        <form class="" asp-controller="Home" asp-action="ChangementLangue">
                                            <select name="langue" class="nav-item">
                                                <option value="fr">FR</option>
                                                <option value="en">EN</option>
                                            </select>
                                            <button type="submit" class="btn btn-light ml-1">Valider</button>
                                        </form>
                                    </li>
                                </div>

                                <div class="row justify-content-between ml-2">

                                    <li class="mr-3 p-2">
                                        <a class="text-dark" asp-area="" asp-controller="Panier" asp-action="AffichePanier">
                                            <svg width="25px" height="25px" viewBox="0 0 16 16" class="bi bi-cart4" fill="currentColor" xmlns="http://www.w3.org/2000/svg">
                                                <path fill-rule="evenodd" d="M0 2.5A.5.5 0 0 1 .5 2H2a.5.5 0 0 1 .485.379L2.89 4H14.5a.5.5 0 0 1 .485.621l-1.5 6A.5.5 0 0 1 13 11H4a.5.5 0 0 1-.485-.379L1.61 3H.5a.5.5 0 0 1-.5-.5zM3.14 5l.5 2H5V5H3.14zM6 5v2h2V5H6zm3 0v2h2V5H9zm3 0v2h1.36l.5-2H12zm1.11 3H12v2h.61l.5-2zM11 8H9v2h2V8zM8 8H6v2h2V8zM5 8H3.89l.5 2H5V8zm0 5a1 1 0 1 0 0 2 1 1 0 0 0 0-2zm-2 1a2 2 0 1 1 4 0 2 2 0 0 1-4 0zm9-1a1 1 0 1 0 0 2 1 1 0 0 0 0-2zm-2 1a2 2 0 1 1 4 0 2 2 0 0 1-4 0z" />
                                            </svg>
                                        </a>
                                            @if (@_accessor.HttpContext.Session.GetInt32("qteProduct") == null)
                                            {

                                            }
                                            else
                                            {
                                                <span class="badge badge-pill badge-success ml-0">
                                                    @_accessor.HttpContext.Session.GetInt32("qteProduct")

                                                </span>
                                            }
                                      
                                    </li>
                                    @if (_accessor.HttpContext.User.HasClaim(c => c.Type == ClaimTypes.Email))
                                    {
                                        <li class="row p-2 font-italic font-weight-normal">Bievenue @_accessor.HttpContext.User.Claims.FirstOrDefault(x => x.Type == ClaimTypes.Name).Value</li>
                                    }
                                    else
                                    {
                                    }

                                </div>
                            </div>
                        </ul>
                    </div>
                </div>
            </nav>
        </header>
        <div class="container">
            <main role="main" class="pb-3">
                @RenderBody()
            </main>
        </div>

        <footer class="border-top footer text-muted">
            <div class="container">
                &copy; 2020 - ASPGestionProduit - <a asp-area="" asp-controller="Home" asp-action="Privacy">Privacy</a>
            </div>
        </footer>
        <script src="~/lib/jquery/dist/jquery.min.js"></script>
        <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>
        <script src="~/js/site.js" asp-append-version="true"></script>
        @RenderSection("Scripts", required: false)
    </body>
</html>
